#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/alma_reingester/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name=Path().absolute().name,
    version=VERSION,
    description='NRAO Archive ALMA Reingester',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['cx_Oracle', 'pycapo', 'psycopg2', 'events', 'schema'],
    keywords=[],
    packages=['alma_reingester'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': [
            'alma-reingester = alma_reingester.reingester:main',
            'ous-importer    = alma_reingester.ousimporter:main',
        ]
    },
)
