import subprocess

def get_pkgs():
    """
    Run a couple shell commands to parse the metadata directory for its packages.
    :return: List of packages in metadata directory
    """
    find_proc = subprocess.Popen(["find", "metadata",
                                  "-name", "meta.yaml"],
                                 stdout=subprocess.PIPE)
    return subprocess.check_output(["sed", "-e", "s:metadata/::",
                                    "-e", "s:/meta.yaml::"],
                                   stdin=find_proc.stdout).decode('utf-8').split('\n')

class Recipe:
    def __init__(self, buildout, name, options):
        self.options = options
        self.pkgs = get_pkgs()

    def install(self):
        # self.options.created()
        pkg = self.options['name']

        if pkg == "all":
            for p in self.pkgs:
                subprocess.run(["conda", "build", "metadata/{}".format(p)])
        else:
            subprocess.run(["conda", "build", "metadata/{}".format(pkg)])

    update = install