import sys
import setuptools
import json

data = {}
def my_setup(*args, **kwargs):
    """
    A replacement for setuptools.setup().
    """
    fields = [
        'name',
        'version',
        'description',
        'license',
        'install_requires',
        'tests_require',
        'entry_points'
    ]

    for field in fields:
        data[field] = kwargs.get(field)

def main():
    # Author of these shenanigans: Daniel Lyons (but you already knew that)

    global data
    # Monkey-patch over the setuptools setup() function to do our function instead
    setuptools.setup = my_setup

    # Load the setup.py file
    import setup

    # Remove None-flavored values
    data = {k: v for k, v in data.items() if v is not None}

    # Instead of exiting, we now have populated our global variable, without doing any parsing
    json.dump(data, sys.stdout)

if __name__ == "__main__":
    main()